import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PresentationMenu } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2024-06-14 14:38
 */
interface PresentationMenuCU extends ConditionUtil<PresentationMenuCU> {
    ID: FieldUtil<PresentationMenuCU>;
    TEXT: FieldUtil<PresentationMenuCU>;
    LEVEL: FieldUtil<PresentationMenuCU>;
    PARENT_ID: FieldUtil<PresentationMenuCU>;
    SORT: FieldUtil<PresentationMenuCU>;
    TYPE: FieldUtil<PresentationMenuCU>;
    URL: FieldUtil<PresentationMenuCU>;
    PARAM: FieldUtil<PresentationMenuCU>;
    BUS_TYPE: FieldUtil<PresentationMenuCU>;
    POSTER: FieldUtil<PresentationMenuCU>;
    DOWNLOAD_URL: FieldUtil<PresentationMenuCU>;
}
declare class PresentationMenuMU extends TableUtilImpl<PresentationMenuCU, PresentationMenu> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PresentationMenuCU;
    static get ID(): FieldUtil<PresentationMenuCU>;
    static get TEXT(): FieldUtil<PresentationMenuCU>;
    static get LEVEL(): FieldUtil<PresentationMenuCU>;
    static get PARENT_ID(): FieldUtil<PresentationMenuCU>;
    static get SORT(): FieldUtil<PresentationMenuCU>;
    static get TYPE(): FieldUtil<PresentationMenuCU>;
    static get URL(): FieldUtil<PresentationMenuCU>;
    static get PARAM(): FieldUtil<PresentationMenuCU>;
    static get BUS_TYPE(): FieldUtil<PresentationMenuCU>;
    static get POSTER(): FieldUtil<PresentationMenuCU>;
    static get DOWNLOAD_URL(): FieldUtil<PresentationMenuCU>;
    get ID(): FieldUtil<PresentationMenuCU>;
    get TEXT(): FieldUtil<PresentationMenuCU>;
    get LEVEL(): FieldUtil<PresentationMenuCU>;
    get PARENT_ID(): FieldUtil<PresentationMenuCU>;
    get SORT(): FieldUtil<PresentationMenuCU>;
    get TYPE(): FieldUtil<PresentationMenuCU>;
    get URL(): FieldUtil<PresentationMenuCU>;
    get PARAM(): FieldUtil<PresentationMenuCU>;
    get BUS_TYPE(): FieldUtil<PresentationMenuCU>;
    get POSTER(): FieldUtil<PresentationMenuCU>;
    get DOWNLOAD_URL(): FieldUtil<PresentationMenuCU>;
}
export { PresentationMenuMU, PresentationMenuCU };
